<?php
/**
 * @package     DOCman
 * @copyright   Copyright (C) 2019 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

namespace Foliolabs\Docman;

interface NotifierInterface
{
    public function notify(NotifierContextInterface $context);

    public function getActions();

    public function getPackage();

    public function getName();

    public function render($data = []);

    public function getData();

    public function getJob();
}
